Skip to main content
Resource Center/Resource Pool/VM Instance Operations
PUTVM Instance OperationsSince 4.6.0SynchronousAuth Required

UpdateDirectory

UpdateDirectory

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVmNicInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • groupNameStringRequired

      The name of the group that the directory is affiliated to.

    • parentUuidStringRequired

      The parent directory UUID.

    • rootDirectoryUuidStringRequired

      The root directory UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • typeStringRequired

      The directory type.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

Endpoint

PUT/zstack/v1/update/directory

/zstack/v1/update/directory

Operation ID

UpdateDirectory

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/update/directory' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"uuid":"<uuid>","name":"<name>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "ce9c80c271df30eba545af5b7efc6b09", "name": "test", "groupName": "admin/first/second", "parentUuid": "5cc7f45b66783385b3f4a9d1ef109a5d", "rootDirectoryUuid": "57290934e96a305fbdad6ccb33bb64b8", "zoneUuid": "b103949274663c19b9675ea6f6505dd5", "type": "default" } }

Change History

This API has no change history records yet.

View all change history